## luvcview 0.2.4

=== Makefile ===
##############################
# spcaview Makefile
##############################

INSTALLROOT=$(PWD)

CC=gcc
CPP=g++
INSTALL=install
APP_BINARY=luvcview
BIN=/usr/local/bin
SDLLIBS = $(shell sdl-config --libs) 
SDLFLAGS = $(shell sdl-config --cflags)
#LIBX11FLAGS= -I/usr/X11R6/include -L/usr/X11R6/lib
VERSION = 0.2.4

#WARNINGS = -Wall \
#           -Wundef -Wpointer-arith -Wbad-function-cast \
#           -Wcast-align -Wwrite-strings -Wstrict-prototypes \
#           -Wmissing-prototypes -Wmissing-declarations \
#           -Wnested-externs -Winline -Wcast-qual -W \
#           -Wno-unused
#           -Wunused

CFLAGS += -DUSE_SDL -O2 -DLINUX -DVERSION=\"$(VERSION)\" -I$(SDLFLAGS) $(WARNINGS)
CPPFLAGS = $(CFLAGS)

OBJECTS= luvcview.o color.o utils.o v4l2uvc.o gui.o avilib.o
		

all:	luvcview

clean:
	@echo "Cleaning up directory."
	rm -f *.a *.o $(APP_BINARY) core *~ log errlog *.avi

# Applications:
luvcview:	$(OBJECTS)
	$(CC)	$(CFLAGS) $(OBJECTS) $(X11_LIB) $(XPM_LIB)\
		$(MATH_LIB) \
		$(SDLLIBS)\
		-o $(APP_BINARY)
	chmod 755 $(APP_BINARY)


install: luvcview
	$(INSTALL) -s -m 755 -g root -o root $(APP_BINARY) $(BIN) 
	rm -f $(BIN)/uvcview

## luvcview 0.2.6

=== Makefile ===
--- 
+++ 
@@ -9,10 +9,11 @@
 INSTALL=install
 APP_BINARY=luvcview
 BIN=/usr/local/bin
+MATH_LIB = -lm
 SDLLIBS = $(shell sdl-config --libs) 
 SDLFLAGS = $(shell sdl-config --cflags)
 #LIBX11FLAGS= -I/usr/X11R6/include -L/usr/X11R6/lib
-VERSION = 0.2.4
+VERSION = 0.2.6
 
 #WARNINGS = -Wall \
 #           -Wundef -Wpointer-arith -Wbad-function-cast \

=== debian/changelog ===
luvcview (1:0.2.6-6) unstable; urgency=low

  * Build-depends on pkg-config (closes: bug#669471).
  * Add build-arch and build-indep targets.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Apr 2012 18:49:04 +0200

luvcview (1:0.2.6-5) unstable; urgency=low

  * Don't include <linux/videodev.h> anymore now that libv4l2 is used
    instead (closes: bug#621957).
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Apr 2011 11:11:07 +0200

luvcview (1:0.2.6-4) unstable; urgency=low

  * Improve luvcview.1 (closes: bug#570495).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 19 Feb 2010 20:02:18 +0100

luvcview (1:0.2.6-3) unstable; urgency=low

  * Use libv4l2 for format conversion (closes: bug#569100).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 12 Feb 2010 21:49:51 +0100

luvcview (1:0.2.6-2) unstable; urgency=low

  * Use <linux/videodev2.h> instead of <linux/videodev.h> (closes: 
    bug#569100).
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 10 Feb 2010 11:05:14 +0100

luvcview (1:0.2.6-1) unstable; urgency=low

  * New upstream version. 
  * Bump Standards-Version to 3.8.3:
    - Add README.source.
  * Fix a copy'n'paste error in manpage (closes: bug#507595).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 27 Aug 2009 12:18:57 +0200

luvcview (1:0.2.4-2) unstable; urgency=low

  * Use quilt for patch management. 
  * Add patch from Nobuhiro Iwamatsu to support UYVY format
    (closes: bug#481757).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 May 2008 17:36:17 +0200

luvcview (1:0.2.4-1) unstable; urgency=low

  * New upstream version (closes: bug#480629).
  * Reintroduce the menu item.
  * Update debian/copyright. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 May 2008 09:35:34 +0200

luvcview (20070512-5) unstable; urgency=low

  * Remove the menu item (closes: bug#475632). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Apr 2008 09:33:58 +0200

luvcview (20070512-4) unstable; urgency=low

  * Make the video format mandatory (closes: bug#473273). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 Mar 2008 09:46:18 +0200

luvcview (20070512-3) unstable; urgency=low

  * Build with -g  (closes: bug#437544). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Aug 2007 11:08:00 +0200

luvcview (20070512-2) unstable; urgency=low

  * Update the menufile following the new Debian menu subpolicy. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 30 Jul 2007 19:20:18 +0200

luvcview (20070512-1) unstable; urgency=low

  * Initial Release (closes: #429735).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 20 Jun 2007 12:27:44 +0200

=== debian/control ===
Source: luvcview
Maintainer: Aurelien Jarno <aurel32@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libv4l-dev, pkg-config
Standards-Version: 3.9.3
Homepage: http://luvcview.sourceforge.net

Package: luvcview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: USB Video Class grabber
 luvcview is a camera viewer for UVC based webcams. It includes an mjpeg
 decoder and is able to save the video stream as an AVI file.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

build-indep:
# We have nothing to do.

clean:	
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) clean
	-rm -f *-stamp 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p $(CURDIR)/debian/luvcview/usr/bin
	$(MAKE) install BIN=$(CURDIR)/debian/luvcview/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## luvcview 20070512

=== Makefile ===
--- 
+++ 
@@ -9,11 +9,10 @@
 INSTALL=install
 APP_BINARY=luvcview
 BIN=/usr/local/bin
-MATH_LIB = -lm
 SDLLIBS = $(shell sdl-config --libs) 
 SDLFLAGS = $(shell sdl-config --cflags)
 #LIBX11FLAGS= -I/usr/X11R6/include -L/usr/X11R6/lib
-VERSION = 0.2.6
+VERSION = 0.2.1
 
 #WARNINGS = -Wall \
 #           -Wundef -Wpointer-arith -Wbad-function-cast \
